Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PanTool Class Reference
Ipe canvas

`#include <ipetool.h>`

Inherits ipe::Tool.

## Public Member Functions

| PanTool (CanvasBase *canvas, const Page *page, int view)
virtual void | draw (Painter &painter) const
virtual void | mouseButton (int button, bool press)
virtual void | mouseMove ()
Public Member Functions inherited from ipe::Tool
virtual | ~Tool ()
virtual bool | key (int code, int modifiers, String text)

## Additional Inherited Members

Protected Member Functions inherited from ipe::Tool
| Tool (CanvasBase *canvas)
Protected Attributes inherited from ipe::Tool
CanvasBase * | iCanvas

## Detailed Description

A tool for panning the canvas.

## Constructor & Destructor Documentation

PanTool::PanTool | ( | CanvasBase * | canvas,
|  | const Page * | page,
|  | int | view
| ) |  |

## Member Function Documentation

void PanTool::draw | ( | Painter & | painter | ) | const

virtual

Implements ipe::Tool.

void PanTool::mouseButton | ( | int | button,
|  | bool | press
| ) |  |

virtual

Called when a mouse button is pressed or released on the canvas.

button is 1, 2, or 3, with Shift/Ctrl/Alt/Meta modifiers added in (as defined in CanvasBase::TModifiers. press is true for button-down, and false for button-up.

Reimplemented from ipe::Tool.

void PanTool::mouseMove | ( |  | ) |

virtual

Called when the mouse is moved on the canvas.

Reimplemented from ipe::Tool.

The documentation for this class was generated from the following files:

- ipetool.h
- ipetool.cpp